import { Host, h } from "@stencil/core";
export class SpwSocials {
    constructor() {
        /** Définit le titre du bloc */
        this.mainTitle = 'Restez connecté';
    }
    render() {
        return (h(Host, { key: 'db6717f3f956e096ee63cd2664eb6b2421c295d1' }, h("div", { key: '4154f8ff374bb0eb88cc44a5537cf1199c14f10f', class: "spw-socials" }, h("div", { key: '3c22a4c8b30f15ad6cd14737b538a5430c0babeb', class: "spw-ds-container" }, h("h2", { key: 'f2d034530d90defe469185883d98c3a1ed8c364b', class: "spw-socials__title" }, this.mainTitle), h("div", { key: 'e569038b22f69448199c67aca4a8eb8844f5574c', class: "spw-socials__content" }, h("slot", { key: '930e33211f97eea0fee624d1bff512f7e24a4366' }))))));
    }
    static get is() { return "spw-socials"; }
    static get originalStyleUrls() {
        return {
            "$": ["spw-socials.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["spw-socials.css"]
        };
    }
    static get properties() {
        return {
            "mainTitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "D\u00E9finit le titre du bloc"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "main-title",
                "defaultValue": "'Restez connect\u00E9'"
            }
        };
    }
}
